"Would you like to be my chat buddy" sent on accepting buddy auth request

RESOLVED FIXED in 1.5

Status

RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: aleth, Assigned: qheaden)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 2 obsolete attachments)

(Reporter)

Description

5 years ago
*** Original post on bio 2131 at 2013-08-27 13:15:00 UTC ***

STR
Ask to talk to an IB yahoo user (eg via Yahoo messenger website)
IB Yahoo user accepts buddy request
Website user receives "Would you like to be my chat buddy?" message from IB user

What's wrong with this is that it was the website user that in effect asked that question, not the IB user.

What's also potentially wrong (if that message is generated server-side) is that it is not shown on the IB side in the conversation.
*** Original post on bio 2131 at 2013-08-27 13:23:11 UTC ***

(In reply to comment #0)
> What's also potentially wrong (if that message is generated server-side)
It is not server-side: http://lxr.instantbird.org/instantbird/source/chat/locales/en-US/yahoo.properties#15
Blocks: 955574
(Assignee)

Comment 2

5 years ago
Created attachment 8354709 [details] [diff] [review]
Patch 1

*** Original post on bio 2131 as attmnt 2934 at 2013-10-10 06:43:00 UTC ***

Taking another look at the libpurple code, I see that libpurple simply sends an empty string as the value for key 14. I did the same thing, and it fixes the issue described.
Attachment #8354709 - Flags: review?(clokep)
(Assignee)

Updated

5 years ago
Assignee: nobody → qheaden
Status: NEW → ASSIGNED
Comment on attachment 8354709 [details] [diff] [review]
Patch 1

*** Original change on bio 2131 attmnt 2934 at 2013-10-10 12:30:29 UTC ***

Looks good, but please add a comment saying what that value is, even though it's empty.
Attachment #8354709 - Flags: review?(clokep) → review-
(Assignee)

Comment 4

5 years ago
Created attachment 8354737 [details] [diff] [review]
Patch 2

*** Original post on bio 2131 as attmnt 2956 at 2013-10-16 02:19:00 UTC ***

This patch adds the comment.
Attachment #8354737 - Flags: review?(clokep)
(Assignee)

Comment 5

5 years ago
Comment on attachment 8354709 [details] [diff] [review]
Patch 1

*** Original change on bio 2131 attmnt 2934 at 2013-10-16 02:19:47 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354709 - Attachment is obsolete: true
Comment on attachment 8354737 [details] [diff] [review]
Patch 2

*** Original change on bio 2131 attmnt 2956 at 2013-10-16 02:26:52 UTC ***

That comment doesn't make sense: "will be annoyingly be sent"
Attachment #8354737 - Flags: review?(clokep) → review-
(Assignee)

Comment 7

5 years ago
Created attachment 8354738 [details] [diff] [review]
Patch 3

*** Original post on bio 2131 as attmnt 2957 at 2013-10-16 02:38:00 UTC ***

Fixed the typo in the comment, and clarified "user" as "invitee".
Attachment #8354738 - Flags: review?(clokep)
(Assignee)

Comment 8

5 years ago
Comment on attachment 8354737 [details] [diff] [review]
Patch 2

*** Original change on bio 2131 attmnt 2956 at 2013-10-16 02:38:38 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354737 - Attachment is obsolete: true
Comment on attachment 8354738 [details] [diff] [review]
Patch 3

*** Original change on bio 2131 attmnt 2957 at 2013-10-16 02:39:47 UTC ***

Thanks!
Attachment #8354738 - Flags: review?(clokep) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 2131 at 2013-10-18 11:12:53 UTC ***

http://hg.instantbird.org/instantbird/rev/92c568d16dec
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.